# Uses of Class
org.eclipse.emf.cdo.common.protocol.CDOProtocol.CommitData

Packages that use CDOProtocol.CommitData
Package
Description
org.eclipse.emf.cdo.server
Server concepts for dealing with repositories and stores.
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of CDOProtocol.CommitData in org.eclipse.emf.cdo.server

Methods in org.eclipse.emf.cdo.server that return CDOProtocol.CommitData
Modifier and Type
Method
Description
`CDOProtocol.CommitData`
IStoreAccessor.CommitContext.`getOriginalCommmitData()`

## Uses of CDOProtocol.CommitData in org.eclipse.emf.spi.cdo

Methods in org.eclipse.emf.spi.cdo that return CDOProtocol.CommitData
Modifier and Type
Method
Description
`CDOProtocol.CommitData`
CDOSessionProtocol.CommitTransactionResult.`getNewCommitData()`
Methods in org.eclipse.emf.spi.cdo with parameters of type CDOProtocol.CommitData
Modifier and Type
Method
Description
`void`
CDOSessionProtocol.CommitTransactionResult.`setNewCommitData(CDOProtocol.CommitData newCommitData)`